
<form [formGroup]="usersForm">
    <div class="row">
        <div class="field">
          <mat-form-field appearance="fill">
            <mat-label>Nom du produit</mat-label>
            <input matInput formControlName="nom_produit" />
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="field">
          <mat-form-field appearance="fill">
            <mat-label>Catégorie</mat-label>
            <mat-select formControlName="categorie_produit" required>
                
              <mat-option value="plante">Plante</mat-option>
              <mat-option value="tableau">Tableau</mat-option>
              <mat-option value="luminaire">Luminaire</mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="field">
          <mat-form-field appearance="fill">
            <mat-label>Description</mat-label>
            <textarea matInput formControlName="description"></textarea>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="field">
          <mat-form-field appearance="fill">
            <mat-label>photo</mat-label>
            <input matInput formControlName="photo_produit" />
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="field">
          <mat-form-field appearance="fill">
            <mat-label>Prix</mat-label>
            <input matInput formControlName="prix_produit" />
          </mat-form-field>
        </div>
      </div>
  <button mat-raised-button type="button" (click)="update()">Modifier</button>
  <button mat-raised-button type="button"  (click)="closeDialog()">Fermer</button>
</form>